---
id: restore
title: restore
hide_title: true
hide_table_of_contents: true
sidebar_label: restore
description: Restore commands
---
## ipsw idev restore

Restore commands

```
ipsw idev restore [flags]
```

### Options

```
  -h, --help   help for restore
```

### Options inherited from parent commands

```
      --color           colorize output
      --config string   config file (default is $HOME/.config/ipsw/config.yaml)
      --no-color        disable colorize output
  -u, --udid string     Device UniqueDeviceID to connect to
  -V, --verbose         verbose output
```

### SEE ALSO

* [ipsw idev](/docs/cli/ipsw/idev)	 - USB connected device commands
* [ipsw idev restore enter](/docs/cli/ipsw/idev/restore/enter)	 - Enter recovery mode

